#
# spec file for package python-prometheus_client
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-prometheus-client
Version:        0.0.20
Release:        1.17
License:        Apache-2.0
Summary:        Python client for the Prometheus monitoring system
Url:            https://github.com/prometheus/client_python
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/prometheus_client/prometheus_client-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Suggests:       %{python_module twisted}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This library provides an API for exporting metrics from a Python application.
It provides classes for the metric types, and an HTTP server to expose the
metrics to Prometheus.

When using Linux, the process CPU, RAM, file descriptor usage and start time
will also be exported.

Along with the HTTP server to expose metrics, you can also write the metrics
to a text file to be exported by the prometheus-node-exporter, or push them to
the prometheus-pushgateway.

This library also includes support for re-exporting Graphite metrics to
Prometheus, custom collectors to proxy metrics for other systems and a parser
for the Prometheus text format.

%prep
%setup -q -n prometheus_client-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Jul 31 2017 vtheile@suse.com
  Initial package (0.0.20) for openSUSE.
